//+------------------------------------------------------------------+
//|                                                       Scalp7.mq4 |
//|                         Copyright 2015, Ferrari Green Associates |
//|                                    https://www.Ferrari-Green.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Ferrari Green Associates"
#property link      "https://www.Ferrari-Green.com"
#property version   "1.00"
#property strict
#property indicator_chart_window

#property indicator_buffers 6
//---Indicator Colours
#property indicator_color1 clrGreen//up arrow
#property indicator_color2 clrRed//down arrow
#property indicator_color3 clrCrimson//bollinger
#property indicator_color4 clrBlue//bollinger
//#property indicator_color5 clrWhite//bollinger
//#property indicator_color6 clrWhite//bollinger


//---Indicator Width
#property indicator_width1 2
#property indicator_width2 2

#include <WinUser32.mqh>

extern bool show=true;//Show Indicators?

double UpArrow[];
double DownArrow[];
double Ema40[];
double Ema80[];
double CCI[];
double CCIback[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping
   SetIndexBuffer(0,UpArrow);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,233);
   SetIndexLabel(0,"Buy Signal.");
//---
   SetIndexBuffer(1,DownArrow);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,234);
   SetIndexLabel(1,"Sell Signal.");
//---
   SetIndexBuffer(2,Ema40);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexLabel(2,"Ema40");
//---
   SetIndexBuffer(3,Ema80);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexLabel(3,"Ema80.");
//---
   SetIndexBuffer(4,CCI);
   SetIndexStyle(4,DRAW_LINE);
//---
   SetIndexBuffer(5,CCIback);
   SetIndexStyle(5,DRAW_LINE);

   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---for loop
   int counted_bars=IndicatorCounted();
   int limit= Bars-counted_bars;
   for(int i=1;i<limit;i++)
     {  
      double Ma40=iMA(NULL,0,40,0,MODE_EMA,PRICE_MEDIAN,i);
      double Ma80=iMA(NULL,0,80,0,MODE_EMA,PRICE_MEDIAN,i);
      double Com=iCCI(NULL,0,21,PRICE_MEDIAN,i);
      double ComBack=iCCI(NULL,0,21,PRICE_MEDIAN,i+1);
//---      
      double PriceMedian=(High[i]+Low[i])/2;
      double PriceAll=(High[i]+Low[i]);
      double PriceHigh=(High[i]);
      double PriceClose=(Close[i]);
      if(show==true)
        {
       Ema40[i]=Ma40;
       Ema80[i]=Ma80;
       CCI[i]=Com;
       CCIback[i]=ComBack;        
        }
      if(Ma40>Ma80)
         if(Com>0 && ComBack<0)
              {
               UpArrow[i]=Open[i];
              }
//      if()
              {
//               DownArrow[i]=Open[i];
              }
     }
//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
